schemaVersion: 2.0.0
commandTests:
  - name: 'Installs fzf'
    command: 'which'
    args: ['fzf']
  - name: 'Installs t'
    command: 'which'
    args: ['t']
  - name: 'Installs direnv'
    command: 'which'
    args: ['direnv']
  - name: 'Installs bat'
    command: 'which'
    args: ['bat']
  - name: 'Installs riggrep'
    command: 'which'
    args: [ 'rg' ]
  - name: 'Installs tldr'
    command: 'which'
    args: [ 'tldr' ]
fileContentTests:
  - name: 'Creates a file to configure fzf variables'
    path: '/home/linuxbrew/.zsh-runtime/fzf.zsh'
    expectedContents:
      - export FZF_DEFAULT_COMMAND="ag --hidden --ignore .git -f -g ''"

